%define upstream_name    File-DataClass
%define upstream_version 0.68.1

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Structured data file IO with OO paradigm
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildConflicts: cpanminus

BuildRequires: perl(Cache::FastMmap) >= 1.400.0
BuildRequires: perl(Capture::Tiny) >= 0.300.0
BuildRequires: perl(Class::Null) >= 2.110.730
BuildRequires: perl(File::Path) >= 2.90.0
BuildRequires: perl(File::ReadBackwards) >= 1.50.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::pushd) >= 1.0.0
BuildRequires: perl(Hash::Merge) >= 0.200.0
BuildRequires: perl(JSON::MaybeXS) >= 1.3.0
BuildRequires: perl(Module::Build) >= 0.400.400
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Module::Pluggable) >= 5.100.0
BuildRequires: perl(Module::Runtime) >= 0.14.0
BuildRequires: perl(Moo) >= 2.0.1
BuildRequires: perl(Path::Tiny) >= 0.13.0
BuildRequires: perl(Sub::Install) >= 0.928.0
BuildRequires: perl(Subclass::Of) >= 0.3.0
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::Deep) >= 0.117.0
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(Text::Diff) >= 1.370.0
BuildRequires: perl(Try::Tiny) >= 0.220.0
BuildRequires: perl(Type::Tiny) >= 1.0.2
BuildRequires: perl(Unexpected)
BuildRequires: perl(boolean) >= 0.450.0
BuildRequires: perl(namespace::autoclean) >= 0.260.0
BuildRequires: perl(namespace::clean) >= 0.250.0
BuildRequires: perl(version) >= 0.880.0
BuildArch:  noarch

%description
Provides methods for manipulating structured data stored in files of
different formats.

The documentation for this distribution starts in the class
File::DataClass::Schema.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.68.1-2.mga6
+ Revision: 1027291
- Rebuild for perl 5.22.2

* Sun Mar 13 2016 pterjan <pterjan> 0.68.1-1.mga6
+ Revision: 990056
- Update to 0.68.1 (needed by perl-File-Gettext)

* Fri Feb 19 2016 umeabot <umeabot> 0.66.1-2.mga6
+ Revision: 969636
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 sander85 <sander85> 0.66.1-1.mga6
+ Revision: 873500
- update to 0.66.1

* Thu Aug 13 2015 sander85 <sander85> 0.65.1-1.mga6
+ Revision: 864359
- update to 0.65.1

* Sun Jul 05 2015 sander85 <sander85> 0.63.1-1.mga6
+ Revision: 850908
- update to 0.63.1

* Wed Oct 15 2014 umeabot <umeabot> 0.48.1-3.mga5
+ Revision: 741686
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 sander85 <sander85> 0.48.1-1.mga5
+ Revision: 671907
- update to 0.48.1

* Thu Aug 28 2014 sander85 <sander85> 0.47.1-1.mga5
+ Revision: 669067
- update to 0.47.1

* Wed Aug 27 2014 sander85 <sander85> 0.46.1-1.mga5
+ Revision: 668754
- update to 0.46.1

* Tue Aug 19 2014 sander85 <sander85> 0.45.1-1.mga5
+ Revision: 665480
- update to 0.45.1

* Thu Jul 17 2014 sander85 <sander85> 0.44.1-1.mga5
+ Revision: 653385
- update to 0.44.1

* Mon Jul 07 2014 sander85 <sander85> 0.43.1-1.mga5
+ Revision: 650382
- update to 0.43.1

* Wed May 28 2014 sander85 <sander85> 0.41.1-1.mga5
+ Revision: 627204
- update to 0.41.1

* Fri May 23 2014 sander85 <sander85> 0.40.2-1.mga5
+ Revision: 625124
- update to 0.40.2

* Thu May 22 2014 sander85 <sander85> 0.40.1-1.mga5
+ Revision: 624984
- update to 0.40.1

* Tue May 20 2014 sander85 <sander85> 0.39.1-1.mga5
+ Revision: 624498
- update to 0.39.1

* Mon Oct 21 2013 umeabot <umeabot> 0.26.1-2.mga4
+ Revision: 537801
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 sander85 <sander85> 0.26.1-1.mga4
+ Revision: 487792
- update to 0.26.1

* Sun Sep 08 2013 sander85 <sander85> 0.25.1-1.mga4
+ Revision: 476077
- update to 0.25.1

* Mon Aug 19 2013 sander85 <sander85> 0.24.3-1.mga4
+ Revision: 467732
- update to 0.24.3

* Wed Aug 14 2013 sander85 <sander85> 0.24.1-1.mga4
+ Revision: 466360
- update to 0.24.1

* Wed Aug 07 2013 sander85 <sander85> 0.23.2-1.mga4
+ Revision: 464446
- update to v0.23.2

* Tue Aug 06 2013 sander85 <sander85> 0.23.1-1.mga4
+ Revision: 464278
- update to v0.23.1

* Sun Aug 04 2013 sander85 <sander85> 0.22.9-1.mga4
+ Revision: 463415
- update to v0.22.9

* Wed Jul 31 2013 sander85 <sander85> 0.22.8-1.mga4
+ Revision: 461680
- update to v0.22.8

* Wed Jul 31 2013 sander85 <sander85> 0.22.7-1.mga4
+ Revision: 461476
- update to v0.22.7

* Tue Jul 30 2013 sander85 <sander85> 0.22.5-1.mga4
+ Revision: 461132
- update to v0.22.5

* Mon Jul 29 2013 sander85 <sander85> 0.22.4-1.mga4
+ Revision: 460629
- update to v0.22.4

* Mon Jul 29 2013 sander85 <sander85> 0.22.3-1.mga4
+ Revision: 460579
- update to v0.22.3

* Sun Jul 28 2013 sander85 <sander85> 0.22.1-1.mga4
+ Revision: 459890
- update to v0.22.1

* Sun Jan 13 2013 umeabot <umeabot> 0.13.418-2.mga3
+ Revision: 367151
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 0.13.418-1.mga3
+ Revision: 317663
- update to 0.13.418

* Wed Nov 07 2012 jquelin <jquelin> 0.13.416-1.mga3
+ Revision: 315735
- update to 0.13.416

* Sun Oct 21 2012 jquelin <jquelin> 0.12.409-1.mga3
+ Revision: 308911
- adding missing buildrequires:
- imported package perl-File-DataClass


* Sun Oct 21 2012 cpan2dist 0.12.409-1mga
- initial mageia release, generated with cpan2dist
